icetGLIsInitialized(3)

NAME
icetGLIsInitialized -- determine if the IceT OpenGL layer is initialized

Synopsis

#include <IceTGL.h>

IceTBoolean icetGLIsInitialized( | void | );

Description

Used to determine whether icetGLInitialize was called for the current IceT context. If icetGLIsInitialized returns false, then rendering with the OpenGL layer will not work.

Return Value

Returns ICET_TRUE if the OpenGL layer has been initialized for the current context, ICET_FALSE otherwise.

Errors

None.

Warnings

None.

Bugs

None known.

Copyright
Copyright (C)2010 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetGLInitialize(3)